VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "VB-Homepage Tip"
   ClientHeight    =   6525
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   7215
   Height          =   6930
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   6525
   ScaleWidth      =   7215
   Top             =   1170
   Width           =   7335
   Begin VB.CommandButton Command1 
      Caption         =   "Grafik laden"
      Height          =   375
      Left            =   5760
      TabIndex        =   9
      Top             =   1680
      Width           =   1335
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Ermitteln von Grafikinformationen / MS Knowledge Base"
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   6240
      Width           =   6975
   End
   Begin VB.Image Image1 
      Height          =   3975
      Left            =   120
      Stretch         =   -1  'True
      Top             =   2160
      Width           =   6975
   End
   Begin MSComDlg.CommonDialog CMDialog1 
      Left            =   3000
      Top             =   2760
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327680
      Filter          =   "Bitmaps|*.bmp|Metafiles|*.wmf|komprimierte Bitmaps|*.rle"
      InitDir         =   "C:\Windows"
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   7
      Left            =   120
      TabIndex        =   8
      Top             =   1200
      Width           =   6975
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   6
      Left            =   120
      TabIndex        =   7
      Top             =   840
      Width           =   6975
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   5
      Left            =   3960
      TabIndex        =   6
      Top             =   480
      Width           =   3135
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   4
      Left            =   2040
      TabIndex        =   5
      Top             =   120
      Width           =   1815
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   3
      Left            =   2040
      TabIndex        =   4
      Top             =   480
      Width           =   1815
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   2
      Left            =   3960
      TabIndex        =   3
      Top             =   120
      Width           =   3135
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   1815
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1815
   End
   Begin VB.Label lblFileName 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   1800
      Width           =   5055
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Const CANCELERR = 32755
Private Const BI_RGB = 0&
Private Const BI_RLE8 = 1&
Private Const BI_RLE4 = 2&
Private Const BI_bitfields = 3&

Private Type BITMAPINFOHEADER '40 bytes
biSize            As Long
biWidth           As Long
biHeight          As Long
biPlanes          As Integer
biBitCount        As Integer
biCompression     As Long
biSizeImage       As Long
biXPelsPerMeter   As Long
biYPelsPerMeter   As Long
biClrUsed         As Long
biClrImportant    As Long
End Type

Private Type BITMAPFILEHEADER
bfType            As Integer
bfSize            As Long
bfReserved1       As Integer
bfReserved2       As Integer
bfOffBits         As Long
End Type


Private Sub Command1_Click()
Dim ff As Integer
Dim tmp As String

'Variablen fr Grafikinfos
Dim FileHeader As BITMAPFILEHEADER
Dim InfoHeader As BITMAPINFOHEADER

On Error GoTo cmdSelect_FileErrorHandler

'Auswahl der Grafik
CMDialog1.CancelError = True
CMDialog1.ShowOpen

'Laden und Anzeigen der Grafikdatei
Image1 = LoadPicture((CMDialog1.filename))
Image1.ZOrder 1 'Vordergrund

'Auslesen der Headerinformationen
ff = FreeFile

Open CMDialog1.filename For Binary Access Read As #ff
    Get #ff, , FileHeader
    Get #ff, , InfoHeader
Close #ff

'Anzeige Pfad und Dateiname der Grafik
lblFileName = CMDialog1.filename

'Anzeige der Headerinfos
lblInfo(0) = "Breite : " & InfoHeader.biWidth & " pixels"
lblInfo(1) = "Hhe : " & InfoHeader.biHeight & " pixels"

'Gre der Grafikdatei in Bytes
Select Case InfoHeader.biSizeImage
    Case 0:    tmp$ = "Keine Angabe mglich."
    Case Else: tmp$ = "Dateigre : " & Format$(InfoHeader.biSizeImage, "#,###,###") & " bytes"
End Select

lblInfo(2) = tmp$

lblInfo(3) = "in " & InfoHeader.biPlanes & " Ebenen" 'Anzahl verwendeter Ebenen
lblInfo(4) = InfoHeader.biBitCount & " Bit " & " (" & 2 ^ InfoHeader.biBitCount & " Farben)" 'Anzahl Farben
  
'Komprimierstatus der Grafik
Select Case InfoHeader.biCompression
    Case BI_RGB:  tmp$ = "Unkomprimiertes Bitmap."
    Case BI_RLE8: tmp$ = "RLE Komprimierte Grafik - 8Bit/Pixel "
    Case BI_RLE4: tmp$ = "RLE Komprimierte Grafik - 4Bit/Pixel "
    Case BI_bitfields: tmp$ = "Unkomrimierte Grafik - 16 o. 32Bit/Pixel"
End Select
lblInfo(5) = tmp$

'Anzahl verwendeter Farben
Select Case InfoHeader.biClrUsed
    Case 0: tmp$ = "Verwendet maximale Anzahl an Farben"
    Case Is <> 0 And InfoHeader.biBitCount < 16: tmp$ = "Die verwendete Farbanzahl ist : " & Str$(InfoHeader.biClrUsed)
    Case Is <> 0 And InfoHeader.biBitCount >= 16: tmp$ = "Die Anzahl der verwendeten Farben der Windows Farbpalette ist : " & Str$(InfoHeader.biClrUsed)
End Select
lblInfo(6) = tmp$

Select Case InfoHeader.biClrImportant
    Case 0: tmp$ = "Alle " & 2 ^ InfoHeader.biBitCount & " Farben werden zur Anzeige bentigt."
    Case Is <> 0
    tmp$ = "Die notwendige Farbanzahl ist : " & Str$(InfoHeader.biClrImportant)
End Select
lblInfo(7) = tmp$

Exit Sub



'handle file errors or the user choosing cancel

cmdSelect_FileErrorHandler:



   If Err <> CANCELERR Then MsgBox Error$(Err), 48, "Image Info"

   lblFileName = "No file was selected."



End Sub


Private Sub Form_Load()
lblFileName = ""
lblInfo(0) = ""
lblInfo(1) = ""
lblInfo(2) = ""
lblInfo(3) = ""
lblInfo(4) = ""
lblInfo(5) = ""
lblInfo(6) = ""
lblInfo(7) = ""

Me.Move (Screen.Width - Me.Width) \ 2, (Screen.Height - Me.Height) \ 2



End Sub


